Bug 1258936 - Concurrent deployments: Two content sync tasks locking each other resources
Concurrent deployments: Two content sync tasks locking each other resources
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 10:31 EDT by Antonin Pagac
Modified: 2016-09-27 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When doing two ore more concurrent Red Hat Cloud Infrastructure deployments, the first deployment to start content synchronizing tasks locks other deployments from content synchronizing and causes other deployments to fail. To work around this issue, wait until content synchronizing for the first deployment is complete, and resume the failing tasks for other deployments. (Tech Preview)
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-09-01 10:31:14 EDT
Description of problem:
When doing two (or more) concurrent deployments, all of them are syncing content as a first step of the installation. This presents a problem, because the first one to take the lock is blocking the others, which causes the sync subtasks and subsequently the Deploy task to fail. User needs to wait until the first sync is complete, then resume the failing task to do the second sync.

Version-Release number of selected component (if applicable):
rc4 - RHCI-6.0-RHEL-7-20150829.0-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Start first deployment, then start second deployment
2. First deployment locks resources while syncing content
3. Second deployment is unable to sync and the Deploy task pauses with error

Actual results:
Both deployments trying to sync content at the same time, locking the resources and causing some of the subtask to fail

Expected results:
Content sync successfully ran, all deployments continue and finish

Additional info:
Possible solution to this is abstract the content sync from the installer, and make the installer call out for status.
Comment 1 John Matthews 2015-09-24 16:41:10 EDT
For GA the solution to this might be light weight, perhaps we just disable the deployment button if another deployment in this organization is syncing content.

Note You need to log in before you can comment on or make changes to this bug.